Browse Source

Tighten dependencies from apt and apt-utils on libs

Make apt pull in at least the same version of libapt-pkg,
and apt-utils at least the same version of libapt-inst,
so that upgrading only apt also upgrades the libraries.
tags/devuan/2.0.1+devuan1
Julian Andres Klode 1 year ago
parent
commit
0f51535e9b
1 changed files with 5 additions and 1 deletions
  1. +5
    -1
      debian/control

+ 5
- 1
debian/control View File

@@ -37,6 +37,7 @@ Package: apt
Architecture: any
Depends: adduser,
gpgv | gpgv2 | gpgv1,
libapt-pkg6.0 (>= ${binary:Version}),
${apt:keyring},
${misc:Depends},
${shlibs:Depends}
@@ -143,7 +144,10 @@ Description: documentation for APT development

Package: apt-utils
Architecture: any
Depends: apt (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Depends: apt (= ${binary:Version}),
libapt-inst3.0 (>= ${binary:Version}),
${misc:Depends},
${shlibs:Depends}
Description: package management related utility programs
This package contains some less used commandline utilities related
to package management with APT.


Loading…
Cancel
Save